Package org.w3c.tidy

# Class DOMNodeListByTagNameImpl

java.lang.Object
org.w3c.tidy.DOMNodeListByTagNameImpl

All Implemented Interfaces:
  `NodeList`

public class DOMNodeListByTagNameImpl extends Object implements NodeList
DOMNodeListByTagNameImpl. The items in the `NodeList` are accessible via an integral index, starting from 0.

Version:
  $Revision: 633 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DOMNodeListByTagNameImpl(Node first, String tagName)`
Instantiates a new DOMNodeListByTagName.

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
`Node`
`item(int index)`
`protected void`
`preTraverse(Node node)`
Traverse the node list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DOMNodeListByTagNameImpl

protected DOMNodeListByTagNameImpl(Node first, String tagName)
Instantiates a new DOMNodeListByTagName.

Parameters:
  `first` - first node.
  `tagName` - tag name

## Method Details

### item

public Node item(int index)

Specified by:
  `item` in interface `NodeList`
See Also:
  - `NodeList.item(int)`

### getLength

public int getLength()

Specified by:
  `getLength` in interface `NodeList`
See Also:
  - `NodeList.getLength()`

### preTraverse

protected void preTraverse(Node node)
Traverse the node list.

Parameters:
  `node` - Node